@import "src/scss/mixins";
@import "src/scss/variables";
.items-container{
  width: 90%;
  margin-top: 50px;
}
.items-list{
  @include flexCenter(flex-start);
  flex-wrap: wrap;
  column-gap: 1%;
  row-gap: 40px;
}
.product-item, .product-item-cart{
  width: 24%;
  height: 520px;
  list-style: none;
  @include flexCenter(center);
  flex-direction: column;
  &:hover{
    background-color: #F1F1F1;
  }
}
.product-item-cart{
  height: 400px;
}
.image-container, .image{
  width: 100%;
  height: 400px;
  position: relative;
}
.item-button{
  position: absolute;
  bottom: 5%;
  right: 5%;
  cursor: pointer;
}
.favorite{
  &:hover{
    fill: red;
  }
}
.item-details{
  @include flexCenter(center);
  flex-direction: column;
  &__heading{
    @include textProp(16px, normal, $text-color);
    padding-top: 5px;
  }
  &__price{
    padding-top: 5px;
    @include textProp(16px, bold, $text-color);
  }
  &__color{
    margin-top: 10px;
    margin-bottom: 10px;
      border-radius: 50%;
      width: 15px;
      height: 15px;

  }
}
.add-to-cart{
  width: 170%;
  padding-top: 8px;
  padding-bottom: 8px;
  background-color: $color-btn;
  opacity: 0.9;
  border-radius: 0;

  @include textProp(16px, normal, $modal-color-btn2);
  @include flexCenter(center);
  cursor: pointer;
  &:hover{
    opacity: 0.8;
  }
  &>svg{
    fill: #ffffff;
    width: 20px;
    height: 20px;
    margin-right: 15px;
  }
}